Subject: Re: git-merge: inconsistent manual page.

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Oct 2007 17:05:31 -0700

Sergei Organov <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>> Subject: git-merge: document but discourage the historical syntax
>>
>> Historically "git merge" took its command line arguments in a
>> rather strange order.  Document the historical syntax, and also
>> document clearly that it is not encouraged in new scripts.
>>
>> There is no reason to deprecate the historical syntax, as the
>> current code can sanely tell which syntax the caller is using,
>> and existing scripts by people do use the historical syntax.
>
> OK, your patch is better than what I've suggested. The only thing that
> your patch seems to be missing is prepending -m to <msg>:: in the
> OPTIONS section. Yeah, it could be more strict to just describe <msg>,
> ...

Nah, you are absolutely right.  We describe "-s <strategy>"
under the headline with the leading "-s".

Will fix.